From cad643a30524728b6b111ae2fa1fa784617b2f57 Mon Sep 17 00:00:00 2001
From: Markus Elfring <elfring@users.sourceforge.net>
Date: Sun, 18 Mar 2012 17:12:07 +0100
Subject: [PATCH] Bug #35874: Make include guards standard-compliant

Include guards were adjusted because some of them tampered with the name space
that is reserved for identifiers in C/C++ compiler implementations.
https://www.securecoding.cert.org/confluence/display/cplusplus/DCL32-CPP.+Do+not+declare+or+define+a+reserved+identifier

Signed-off-by: Markus Elfring <Markus.Elfring@web.de>
---
 src/include/ipv4/lwip/autoip.h   |    6 +++---
 src/include/ipv4/lwip/icmp.h     |    6 +++---
 src/include/ipv4/lwip/igmp.h     |    6 +++---
 src/include/ipv4/lwip/inet.h     |    6 +++---
 src/include/ipv4/lwip/ip4.h      |    6 +++---
 src/include/ipv4/lwip/ip4_addr.h |    6 +++---
 src/include/ipv4/lwip/ip_frag.h  |   12 ++++++------
 src/include/ipv6/lwip/dhcp6.h    |    6 +++---
 src/include/ipv6/lwip/ethip6.h   |    6 +++---
 src/include/ipv6/lwip/icmp6.h    |    6 +++---
 src/include/ipv6/lwip/inet6.h    |    6 +++---
 src/include/ipv6/lwip/ip6.h      |    6 +++---
 src/include/ipv6/lwip/ip6_addr.h |    6 +++---
 src/include/ipv6/lwip/ip6_frag.h |   12 ++++++------
 src/include/ipv6/lwip/mld6.h     |    6 +++---
 src/include/ipv6/lwip/nd6.h      |    6 +++---
 src/include/lwip/api.h           |    6 +++---
 src/include/lwip/api_msg.h       |    6 +++---
 src/include/lwip/arch.h          |    6 +++---
 src/include/lwip/debug.h         |    6 +++---
 src/include/lwip/def.h           |    6 +++---
 src/include/lwip/dhcp.h          |    6 +++---
 src/include/lwip/dns.h           |    6 +++---
 src/include/lwip/err.h           |    6 +++---
 src/include/lwip/inet_chksum.h   |    6 +++---
 src/include/lwip/init.h          |    6 +++---
 src/include/lwip/ip.h            |    6 +++---
 src/include/lwip/ip_addr.h       |    6 +++---
 src/include/lwip/mem.h           |    6 +++---
 src/include/lwip/memp.h          |    6 +++---
 src/include/lwip/netbuf.h        |    6 +++---
 src/include/lwip/netdb.h         |    6 +++---
 src/include/lwip/netif.h         |    6 +++---
 src/include/lwip/netifapi.h      |    6 +++---
 src/include/lwip/opt.h           |    6 +++---
 src/include/lwip/pbuf.h          |    6 +++---
 src/include/lwip/raw.h           |    6 +++---
 src/include/lwip/sio.h           |    6 +++---
 src/include/lwip/snmp.h          |    6 +++---
 src/include/lwip/snmp_asn1.h     |    6 +++---
 src/include/lwip/snmp_msg.h      |    6 +++---
 src/include/lwip/snmp_structs.h  |    6 +++---
 src/include/lwip/sockets.h       |    6 +++---
 src/include/lwip/stats.h         |    6 +++---
 src/include/lwip/sys.h           |    6 +++---
 src/include/lwip/tcp.h           |    6 +++---
 src/include/lwip/tcp_impl.h      |    6 +++---
 src/include/lwip/tcpip.h         |    6 +++---
 src/include/lwip/timers.h        |    6 +++---
 src/include/lwip/udp.h           |    6 +++---
 src/include/netif/etharp.h       |    6 +++---
 src/include/netif/slipif.h       |    4 ++--
 test/unit/core/test_mem.h        |    4 ++--
 test/unit/etharp/test_etharp.h   |    4 ++--
 test/unit/lwip_check.h           |    6 +++---
 test/unit/lwipopts.h             |    6 +++---
 test/unit/tcp/tcp_helper.h       |    4 ++--
 test/unit/tcp/test_tcp.h         |    4 ++--
 test/unit/tcp/test_tcp_oos.h     |    4 ++--
 test/unit/udp/test_udp.h         |    4 ++--
 60 files changed, 179 insertions(+), 179 deletions(-)

diff --git a/src/include/ipv4/lwip/autoip.h b/src/include/ipv4/lwip/autoip.h
index e62b72e..a352865 100644
--- a/src/include/ipv4/lwip/autoip.h
+++ b/src/include/ipv4/lwip/autoip.h
@@ -41,8 +41,8 @@
  * <kontakt@dspies.de>
  */
  
-#ifndef __LWIP_AUTOIP_H__
-#define __LWIP_AUTOIP_H__
+#ifndef LWIP_AUTOIP_H_
+#define LWIP_AUTOIP_H_
 
 #include "lwip/opt.h"
 
@@ -115,4 +115,4 @@ void autoip_network_changed(struct netif *netif);
 
 #endif /* LWIP_AUTOIP */
 
-#endif /* __LWIP_AUTOIP_H__ */
+#endif /* LWIP_AUTOIP_H_ */
diff --git a/src/include/ipv4/lwip/icmp.h b/src/include/ipv4/lwip/icmp.h
index fa893b6..f16e5a6 100644
--- a/src/include/ipv4/lwip/icmp.h
+++ b/src/include/ipv4/lwip/icmp.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_ICMP_H__
-#define __LWIP_ICMP_H__
+#ifndef LWIP_ICMP_H_
+#define LWIP_ICMP_H_
 
 #include "lwip/opt.h"
 #include "lwip/pbuf.h"
@@ -122,4 +122,4 @@ void icmp_time_exceeded(struct pbuf *p, enum icmp_te_type t);
 }
 #endif
 
-#endif /* __LWIP_ICMP_H__ */
+#endif /* LWIP_ICMP_H_ */
diff --git a/src/include/ipv4/lwip/igmp.h b/src/include/ipv4/lwip/igmp.h
index 8aabac2..868777c 100644
--- a/src/include/ipv4/lwip/igmp.h
+++ b/src/include/ipv4/lwip/igmp.h
@@ -32,8 +32,8 @@
  * source code.
 */
 
-#ifndef __LWIP_IGMP_H__
-#define __LWIP_IGMP_H__
+#ifndef LWIP_IGMP_H_
+#define LWIP_IGMP_H_
 
 #include "lwip/opt.h"
 #include "lwip/ip_addr.h"
@@ -103,4 +103,4 @@ void   igmp_tmr(void);
 
 #endif /* LWIP_IGMP */
 
-#endif /* __LWIP_IGMP_H__ */
+#endif /* LWIP_IGMP_H_ */
diff --git a/src/include/ipv4/lwip/inet.h b/src/include/ipv4/lwip/inet.h
index 7bff49b..f87c36a 100644
--- a/src/include/ipv4/lwip/inet.h
+++ b/src/include/ipv4/lwip/inet.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_INET_H__
-#define __LWIP_INET_H__
+#ifndef LWIP_INET_H_
+#define LWIP_INET_H_
 
 #include "lwip/opt.h"
 #include "lwip/def.h"
@@ -104,4 +104,4 @@ struct in_addr {
 }
 #endif
 
-#endif /* __LWIP_INET_H__ */
+#endif /* LWIP_INET_H_ */
diff --git a/src/include/ipv4/lwip/ip4.h b/src/include/ipv4/lwip/ip4.h
index 04b5b8a..15ce787 100644
--- a/src/include/ipv4/lwip/ip4.h
+++ b/src/include/ipv4/lwip/ip4.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_IP4_H__
-#define __LWIP_IP4_H__
+#ifndef LWIP_IP4_H_
+#define LWIP_IP4_H_
 
 #include "lwip/opt.h"
 
@@ -141,6 +141,6 @@ void ip_debug_print(struct pbuf *p);
 }
 #endif
 
-#endif /* __LWIP_IP_H__ */
+#endif /* LWIP_IP_H_ */
 
 
diff --git a/src/include/ipv4/lwip/ip4_addr.h b/src/include/ipv4/lwip/ip4_addr.h
index b05ae53..1a39840 100644
--- a/src/include/ipv4/lwip/ip4_addr.h
+++ b/src/include/ipv4/lwip/ip4_addr.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_IP4_ADDR_H__
-#define __LWIP_IP4_ADDR_H__
+#ifndef LWIP_IP4_ADDR_H_
+#define LWIP_IP4_ADDR_H_
 
 #include "lwip/opt.h"
 #include "lwip/def.h"
@@ -241,4 +241,4 @@ char *ipaddr_ntoa_r(const ip_addr_t *addr, char *buf, int buflen);
 }
 #endif
 
-#endif /* __LWIP_IP_ADDR_H__ */
+#endif /* LWIP_IP_ADDR_H_ */
diff --git a/src/include/ipv4/lwip/ip_frag.h b/src/include/ipv4/lwip/ip_frag.h
index 47eca9f..6d1b813 100644
--- a/src/include/ipv4/lwip/ip_frag.h
+++ b/src/include/ipv4/lwip/ip_frag.h
@@ -30,8 +30,8 @@
  *
  */
 
-#ifndef __LWIP_IP_FRAG_H__
-#define __LWIP_IP_FRAG_H__
+#ifndef LWIP_IP_FRAG_H_
+#define LWIP_IP_FRAG_H_
 
 #include "lwip/opt.h"
 #include "lwip/err.h"
@@ -70,15 +70,15 @@ struct pbuf * ip_reass(struct pbuf *p);
 /** A custom pbuf that holds a reference to another pbuf, which is freed
  * when this custom pbuf is freed. This is used to create a custom PBUF_REF
  * that points into the original pbuf. */
-#ifndef __LWIP_PBUF_CUSTOM_REF__
-#define __LWIP_PBUF_CUSTOM_REF__
+#ifndef LWIP_PBUF_CUSTOM_REF__
+#define LWIP_PBUF_CUSTOM_REF__
 struct pbuf_custom_ref {
   /** 'base class' */
   struct pbuf_custom pc;
   /** pointer to the original pbuf that is referenced */
   struct pbuf *original;
 };
-#endif /* __LWIP_PBUF_CUSTOM_REF__ */
+#endif /* LWIP_PBUF_CUSTOM_REF__ */
 #endif /* !IP_FRAG_USES_STATIC_BUF && !LWIP_NETIF_TX_SINGLE_PBUF */
 
 err_t ip_frag(struct pbuf *p, struct netif *netif, ip_addr_t *dest);
@@ -88,4 +88,4 @@ err_t ip_frag(struct pbuf *p, struct netif *netif, ip_addr_t *dest);
 }
 #endif
 
-#endif /* __LWIP_IP_FRAG_H__ */
+#endif /* LWIP_IP_FRAG_H_ */
diff --git a/src/include/ipv6/lwip/dhcp6.h b/src/include/ipv6/lwip/dhcp6.h
index 4b905c5..3c14a4a 100644
--- a/src/include/ipv6/lwip/dhcp6.h
+++ b/src/include/ipv6/lwip/dhcp6.h
@@ -40,8 +40,8 @@
  * <delamer@inicotech.com>
  */
 
-#ifndef __LWIP_IP6_DHCP6_H__
-#define __LWIP_IP6_DHCP6_H__
+#ifndef LWIP_IP6_DHCP6_H_
+#define LWIP_IP6_DHCP6_H_
 
 #include "lwip/opt.h"
 
@@ -55,4 +55,4 @@ struct dhcp6
 
 #endif /* LWIP_IPV6_DHCP6 */
 
-#endif /* __LWIP_IP6_DHCP6_H__ */
+#endif /* LWIP_IP6_DHCP6_H_ */
diff --git a/src/include/ipv6/lwip/ethip6.h b/src/include/ipv6/lwip/ethip6.h
index e7f412b..1f848a3 100644
--- a/src/include/ipv6/lwip/ethip6.h
+++ b/src/include/ipv6/lwip/ethip6.h
@@ -39,8 +39,8 @@
  * <delamer@inicotech.com>
  */
 
-#ifndef __LWIP_ETHIP6_H__
-#define __LWIP_ETHIP6_H__
+#ifndef LWIP_ETHIP6_H_
+#define LWIP_ETHIP6_H_
 
 #include "lwip/opt.h"
 
@@ -65,4 +65,4 @@ err_t ethip6_output(struct netif *netif, struct pbuf *q, ip6_addr_t *ip6addr);
 
 #endif /* LWIP_IPV6 && LWIP_ETHERNET */
 
-#endif /* __LWIP_ETHIP6_H__ */
+#endif /* LWIP_ETHIP6_H_ */
diff --git a/src/include/ipv6/lwip/icmp6.h b/src/include/ipv6/lwip/icmp6.h
index 74bfdbe..65dc309 100644
--- a/src/include/ipv6/lwip/icmp6.h
+++ b/src/include/ipv6/lwip/icmp6.h
@@ -38,8 +38,8 @@
  * Please coordinate changes and requests with Ivan Delamer
  * <delamer@inicotech.com>
  */
-#ifndef __LWIP_ICMP6_H__
-#define __LWIP_ICMP6_H__
+#ifndef LWIP_ICMP6_H_
+#define LWIP_ICMP6_H_
 
 #include "lwip/opt.h"
 #include "lwip/pbuf.h"
@@ -149,4 +149,4 @@ void icmp6_param_problem(struct pbuf *p, enum icmp6_pp_code c, u32_t pointer);
 #endif
 
 
-#endif /* __LWIP_ICMP6_H__ */
+#endif /* LWIP_ICMP6_H_ */
diff --git a/src/include/ipv6/lwip/inet6.h b/src/include/ipv6/lwip/inet6.h
index d980006..3a2a099 100644
--- a/src/include/ipv6/lwip/inet6.h
+++ b/src/include/ipv6/lwip/inet6.h
@@ -38,8 +38,8 @@
  * Please coordinate changes and requests with Ivan Delamer
  * <delamer@inicotech.com>
  */
-#ifndef __LWIP_INET6_H__
-#define __LWIP_INET6_H__
+#ifndef LWIP_INET6_H_
+#define LWIP_INET6_H_
 
 #include "lwip/opt.h"
 
@@ -88,5 +88,5 @@ struct in6_addr {
 
 #endif /* LWIP_IPV6 */
 
-#endif /* __LWIP_INET6_H__ */
+#endif /* LWIP_INET6_H_ */
 
diff --git a/src/include/ipv6/lwip/ip6.h b/src/include/ipv6/lwip/ip6.h
index b199c95..2a71bd7 100644
--- a/src/include/ipv6/lwip/ip6.h
+++ b/src/include/ipv6/lwip/ip6.h
@@ -38,8 +38,8 @@
  * Please coordinate changes and requests with Ivan Delamer
  * <delamer@inicotech.com>
  */
-#ifndef __LWIP_IP6_H__
-#define __LWIP_IP6_H__
+#ifndef LWIP_IP6_H_
+#define LWIP_IP6_H_
 
 #include "lwip/opt.h"
 
@@ -194,4 +194,4 @@ void ip6_debug_print(struct pbuf *p);
 
 #endif /* LWIP_IPV6 */
 
-#endif /* __LWIP_IP6_H__ */
+#endif /* LWIP_IP6_H_ */
diff --git a/src/include/ipv6/lwip/ip6_addr.h b/src/include/ipv6/lwip/ip6_addr.h
index 68e93e0..f2d041f 100644
--- a/src/include/ipv6/lwip/ip6_addr.h
+++ b/src/include/ipv6/lwip/ip6_addr.h
@@ -39,8 +39,8 @@
  * Please coordinate changes and requests with Ivan Delamer
  * <delamer@inicotech.com>
  */
-#ifndef __LWIP_IP6_ADDR_H__
-#define __LWIP_IP6_ADDR_H__
+#ifndef LWIP_IP6_ADDR_H_
+#define LWIP_IP6_ADDR_H_
 
 #include "lwip/opt.h"
 
@@ -279,4 +279,4 @@ char *ip6addr_ntoa_r(const ip6_addr_t *addr, char *buf, int buflen);
 
 #endif /* LWIP_IPV6 */
 
-#endif /* __LWIP_IP6_ADDR_H__ */
+#endif /* LWIP_IP6_ADDR_H_ */
diff --git a/src/include/ipv6/lwip/ip6_frag.h b/src/include/ipv6/lwip/ip6_frag.h
index 75898b8..3e06ef8 100644
--- a/src/include/ipv6/lwip/ip6_frag.h
+++ b/src/include/ipv6/lwip/ip6_frag.h
@@ -38,8 +38,8 @@
  * Please coordinate changes and requests with Ivan Delamer
  * <delamer@inicotech.com>
  */
-#ifndef __LWIP_IP6_FRAG_H__
-#define __LWIP_IP6_FRAG_H__
+#ifndef LWIP_IP6_FRAG_H_
+#define LWIP_IP6_FRAG_H_
 
 #include "lwip/opt.h"
 #include "lwip/pbuf.h"
@@ -80,15 +80,15 @@ struct pbuf * ip6_reass(struct pbuf *p);
 /** A custom pbuf that holds a reference to another pbuf, which is freed
  * when this custom pbuf is freed. This is used to create a custom PBUF_REF
  * that points into the original pbuf. */
-#ifndef __LWIP_PBUF_CUSTOM_REF__
-#define __LWIP_PBUF_CUSTOM_REF__
+#ifndef LWIP_PBUF_CUSTOM_REF__
+#define LWIP_PBUF_CUSTOM_REF__
 struct pbuf_custom_ref {
   /** 'base class' */
   struct pbuf_custom pc;
   /** pointer to the original pbuf that is referenced */
   struct pbuf *original;
 };
-#endif /* __LWIP_PBUF_CUSTOM_REF__ */
+#endif /* LWIP_PBUF_CUSTOM_REF__ */
 
 err_t ip6_frag(struct pbuf *p, struct netif *netif, ip6_addr_t *dest);
 
@@ -99,4 +99,4 @@ err_t ip6_frag(struct pbuf *p, struct netif *netif, ip6_addr_t *dest);
 }
 #endif
 
-#endif /* __LWIP_IP6_FRAG_H__ */
+#endif /* LWIP_IP6_FRAG_H_ */
diff --git a/src/include/ipv6/lwip/mld6.h b/src/include/ipv6/lwip/mld6.h
index abd86e5..6f2c2b7 100644
--- a/src/include/ipv6/lwip/mld6.h
+++ b/src/include/ipv6/lwip/mld6.h
@@ -40,8 +40,8 @@
  * <delamer@inicotech.com>
  */
 
-#ifndef __LWIP_MLD6_H__
-#define __LWIP_MLD6_H__
+#ifndef LWIP_MLD6_H_
+#define LWIP_MLD6_H_
 
 #include "lwip/opt.h"
 
@@ -115,4 +115,4 @@ err_t  mld6_leavegroup(ip6_addr_t *srcaddr, ip6_addr_t *groupaddr);
 
 #endif /* LWIP_IPV6_MLD && LWIP_IPV6 */
 
-#endif /* __LWIP_MLD6_H__ */
+#endif /* LWIP_MLD6_H_ */
diff --git a/src/include/ipv6/lwip/nd6.h b/src/include/ipv6/lwip/nd6.h
index 3009f76..1348ed0 100644
--- a/src/include/ipv6/lwip/nd6.h
+++ b/src/include/ipv6/lwip/nd6.h
@@ -41,8 +41,8 @@
  * <delamer@inicotech.com>
  */
 
-#ifndef __LWIP_ND6_H__
-#define __LWIP_ND6_H__
+#ifndef LWIP_ND6_H_
+#define LWIP_ND6_H_
 
 #include "lwip/opt.h"
 
@@ -365,4 +365,4 @@ void nd6_reachability_hint(ip6_addr_t * ip6addr);
 
 #endif /* LWIP_IPV6 */
 
-#endif /* __LWIP_ND6_H__ */
+#endif /* LWIP_ND6_H_ */
diff --git a/src/include/lwip/api.h b/src/include/lwip/api.h
index 4c98580..84445cb 100644
--- a/src/include/lwip/api.h
+++ b/src/include/lwip/api.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_API_H__
-#define __LWIP_API_H__
+#ifndef LWIP_API_H_
+#define LWIP_API_H_
 
 #include "lwip/opt.h"
 
@@ -329,4 +329,4 @@ err_t   netconn_gethostbyname(const char *name, ip_addr_t *addr);
 
 #endif /* LWIP_NETCONN */
 
-#endif /* __LWIP_API_H__ */
+#endif /* LWIP_API_H_ */
diff --git a/src/include/lwip/api_msg.h b/src/include/lwip/api_msg.h
index cadaa8c..37ea55e 100644
--- a/src/include/lwip/api_msg.h
+++ b/src/include/lwip/api_msg.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_API_MSG_H__
-#define __LWIP_API_MSG_H__
+#ifndef LWIP_API_MSG_H_
+#define LWIP_API_MSG_H_
 
 #include "lwip/opt.h"
 
@@ -174,4 +174,4 @@ void netconn_free(struct netconn *conn);
 
 #endif /* LWIP_NETCONN */
 
-#endif /* __LWIP_API_MSG_H__ */
+#endif /* LWIP_API_MSG_H_ */
diff --git a/src/include/lwip/arch.h b/src/include/lwip/arch.h
index 4d6df77..b3712ec 100644
--- a/src/include/lwip/arch.h
+++ b/src/include/lwip/arch.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_ARCH_H__
-#define __LWIP_ARCH_H__
+#ifndef LWIP_ARCH_H_
+#define LWIP_ARCH_H_
 
 #ifndef LITTLE_ENDIAN
 #define LITTLE_ENDIAN 1234
@@ -214,4 +214,4 @@ extern int errno;
 }
 #endif
 
-#endif /* __LWIP_ARCH_H__ */
+#endif /* LWIP_ARCH_H_ */
diff --git a/src/include/lwip/debug.h b/src/include/lwip/debug.h
index 0fe0413..d6843a1 100644
--- a/src/include/lwip/debug.h
+++ b/src/include/lwip/debug.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_DEBUG_H__
-#define __LWIP_DEBUG_H__
+#ifndef LWIP_DEBUG_H_
+#define LWIP_DEBUG_H_
 
 #include "lwip/arch.h"
 #include "lwip/opt.h"
@@ -95,5 +95,5 @@
 #define LWIP_DEBUGF(debug, message) 
 #endif /* LWIP_DEBUG */
 
-#endif /* __LWIP_DEBUG_H__ */
+#endif /* LWIP_DEBUG_H_ */
 
diff --git a/src/include/lwip/def.h b/src/include/lwip/def.h
index 73a1b56..4894ae2 100644
--- a/src/include/lwip/def.h
+++ b/src/include/lwip/def.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_DEF_H__
-#define __LWIP_DEF_H__
+#ifndef LWIP_DEF_H_
+#define LWIP_DEF_H_
 
 /* arch.h might define NULL already */
 #include "lwip/arch.h"
@@ -119,5 +119,5 @@ u32_t lwip_ntohl(u32_t x);
 }
 #endif
 
-#endif /* __LWIP_DEF_H__ */
+#endif /* LWIP_DEF_H_ */
 
diff --git a/src/include/lwip/dhcp.h b/src/include/lwip/dhcp.h
index 32d9338..c758377 100644
--- a/src/include/lwip/dhcp.h
+++ b/src/include/lwip/dhcp.h
@@ -1,8 +1,8 @@
 /** @file
  */
 
-#ifndef __LWIP_DHCP_H__
-#define __LWIP_DHCP_H__
+#ifndef LWIP_DHCP_H_
+#define LWIP_DHCP_H_
 
 #include "lwip/opt.h"
 
@@ -239,4 +239,4 @@ void dhcp_fine_tmr(void);
 
 #endif /* LWIP_DHCP */
 
-#endif /*__LWIP_DHCP_H__*/
+#endif /*__LWIP_DHCP_H_*/
diff --git a/src/include/lwip/dns.h b/src/include/lwip/dns.h
index 6c7d9b0..55bb2b7 100644
--- a/src/include/lwip/dns.h
+++ b/src/include/lwip/dns.h
@@ -31,8 +31,8 @@
  * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-#ifndef __LWIP_DNS_H__
-#define __LWIP_DNS_H__
+#ifndef LWIP_DNS_H_
+#define LWIP_DNS_H_
 
 #include "lwip/opt.h"
 
@@ -121,4 +121,4 @@ err_t          dns_local_addhost(const char *hostname, const ip_addr_t *addr);
 
 #endif /* LWIP_DNS */
 
-#endif /* __LWIP_DNS_H__ */
+#endif /* LWIP_DNS_H_ */
diff --git a/src/include/lwip/err.h b/src/include/lwip/err.h
index ac90772..38555d4 100644
--- a/src/include/lwip/err.h
+++ b/src/include/lwip/err.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_ERR_H__
-#define __LWIP_ERR_H__
+#ifndef LWIP_ERR_H_
+#define LWIP_ERR_H_
 
 #include "lwip/opt.h"
 #include "lwip/arch.h"
@@ -82,4 +82,4 @@ extern const char *lwip_strerr(err_t err);
 }
 #endif
 
-#endif /* __LWIP_ERR_H__ */
+#endif /* LWIP_ERR_H_ */
diff --git a/src/include/lwip/inet_chksum.h b/src/include/lwip/inet_chksum.h
index e168788..22ed3f8 100644
--- a/src/include/lwip/inet_chksum.h
+++ b/src/include/lwip/inet_chksum.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_INET_CHKSUM_H__
-#define __LWIP_INET_CHKSUM_H__
+#ifndef LWIP_INET_CHKSUM_H_
+#define LWIP_INET_CHKSUM_H_
 
 #include "lwip/opt.h"
 
@@ -108,5 +108,5 @@ u16_t ip6_chksum_pseudo_partial(struct pbuf *p, u8_t proto, u16_t proto_len,
 }
 #endif
 
-#endif /* __LWIP_INET_H__ */
+#endif /* LWIP_INET_H_ */
 
diff --git a/src/include/lwip/init.h b/src/include/lwip/init.h
index 4e2e285..80d09a4 100644
--- a/src/include/lwip/init.h
+++ b/src/include/lwip/init.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_INIT_H__
-#define __LWIP_INIT_H__
+#ifndef LWIP_INIT_H_
+#define LWIP_INIT_H_
 
 #include "lwip/opt.h"
 
@@ -69,4 +69,4 @@ void lwip_init(void);
 }
 #endif
 
-#endif /* __LWIP_INIT_H__ */
+#endif /* LWIP_INIT_H_ */
diff --git a/src/include/lwip/ip.h b/src/include/lwip/ip.h
index a0cd1d4..b529e62 100644
--- a/src/include/lwip/ip.h
+++ b/src/include/lwip/ip.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_IP_H__
-#define __LWIP_IP_H__
+#ifndef LWIP_IP_H_
+#define LWIP_IP_H_
 
 #include "lwip/opt.h"
 
@@ -249,6 +249,6 @@ extern struct ip_globals ip_data;
 }
 #endif
 
-#endif /* __LWIP_IP_H__ */
+#endif /* LWIP_IP_H_ */
 
 
diff --git a/src/include/lwip/ip_addr.h b/src/include/lwip/ip_addr.h
index 7bd03cb..eb28521 100644
--- a/src/include/lwip/ip_addr.h
+++ b/src/include/lwip/ip_addr.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_IP_ADDR_H__
-#define __LWIP_IP_ADDR_H__
+#ifndef LWIP_IP_ADDR_H_
+#define LWIP_IP_ADDR_H_
 
 #include "lwip/opt.h"
 #include "lwip/def.h"
@@ -127,4 +127,4 @@ typedef ip_addr_t ipX_addr_t;
 }
 #endif
 
-#endif /* __LWIP_IP_ADDR_H__ */
+#endif /* LWIP_IP_ADDR_H_ */
diff --git a/src/include/lwip/mem.h b/src/include/lwip/mem.h
index 5bb906b..c6b6256 100644
--- a/src/include/lwip/mem.h
+++ b/src/include/lwip/mem.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_MEM_H__
-#define __LWIP_MEM_H__
+#ifndef LWIP_MEM_H_
+#define LWIP_MEM_H_
 
 #include "lwip/opt.h"
 
@@ -120,4 +120,4 @@ void  mem_free(void *mem);
 }
 #endif
 
-#endif /* __LWIP_MEM_H__ */
+#endif /* LWIP_MEM_H_ */
diff --git a/src/include/lwip/memp.h b/src/include/lwip/memp.h
index f0d0739..77171fa 100644
--- a/src/include/lwip/memp.h
+++ b/src/include/lwip/memp.h
@@ -30,8 +30,8 @@
  *
  */
 
-#ifndef __LWIP_MEMP_H__
-#define __LWIP_MEMP_H__
+#ifndef LWIP_MEMP_H_
+#define LWIP_MEMP_H_
 
 #include "lwip/opt.h"
 
@@ -113,4 +113,4 @@ void  memp_free(memp_t type, void *mem);
 }
 #endif
 
-#endif /* __LWIP_MEMP_H__ */
+#endif /* LWIP_MEMP_H_ */
diff --git a/src/include/lwip/netbuf.h b/src/include/lwip/netbuf.h
index d12fe27..9719a88 100644
--- a/src/include/lwip/netbuf.h
+++ b/src/include/lwip/netbuf.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_NETBUF_H__
-#define __LWIP_NETBUF_H__
+#ifndef LWIP_NETBUF_H_
+#define LWIP_NETBUF_H_
 
 #include "lwip/opt.h"
 #include "lwip/pbuf.h"
@@ -109,4 +109,4 @@ void              netbuf_first    (struct netbuf *buf);
 }
 #endif
 
-#endif /* __LWIP_NETBUF_H__ */
+#endif /* LWIP_NETBUF_H_ */
diff --git a/src/include/lwip/netdb.h b/src/include/lwip/netdb.h
index 7587e2f..9a31b02 100644
--- a/src/include/lwip/netdb.h
+++ b/src/include/lwip/netdb.h
@@ -26,8 +26,8 @@
  * Author: Simon Goldschmidt
  *
  */
-#ifndef __LWIP_NETDB_H__
-#define __LWIP_NETDB_H__
+#ifndef LWIP_NETDB_H_
+#define LWIP_NETDB_H_
 
 #include "lwip/opt.h"
 
@@ -121,4 +121,4 @@ int lwip_getaddrinfo(const char *nodename,
 
 #endif /* LWIP_DNS && LWIP_SOCKET */
 
-#endif /* __LWIP_NETDB_H__ */
+#endif /* LWIP_NETDB_H_ */
diff --git a/src/include/lwip/netif.h b/src/include/lwip/netif.h
index 322d2d0..02db97b 100644
--- a/src/include/lwip/netif.h
+++ b/src/include/lwip/netif.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_NETIF_H__
-#define __LWIP_NETIF_H__
+#ifndef LWIP_NETIF_H_
+#define LWIP_NETIF_H_
 
 #include "lwip/opt.h"
 
@@ -384,4 +384,4 @@ void netif_create_ip6_linklocal_address(struct netif * netif, u8_t from_mac_48bi
 }
 #endif
 
-#endif /* __LWIP_NETIF_H__ */
+#endif /* LWIP_NETIF_H_ */
diff --git a/src/include/lwip/netifapi.h b/src/include/lwip/netifapi.h
index 33318ef..2451461 100644
--- a/src/include/lwip/netifapi.h
+++ b/src/include/lwip/netifapi.h
@@ -25,8 +25,8 @@
  * 
  */
  
-#ifndef __LWIP_NETIFAPI_H__
-#define __LWIP_NETIFAPI_H__
+#ifndef LWIP_NETIFAPI_H_
+#define LWIP_NETIFAPI_H_
 
 #include "lwip/opt.h"
 
@@ -105,4 +105,4 @@ err_t netifapi_netif_common    ( struct netif *netif,
 
 #endif /* LWIP_NETIF_API */
 
-#endif /* __LWIP_NETIFAPI_H__ */
+#endif /* LWIP_NETIFAPI_H_ */
diff --git a/src/include/lwip/opt.h b/src/include/lwip/opt.h
index e51f8e5..78369e0 100644
--- a/src/include/lwip/opt.h
+++ b/src/include/lwip/opt.h
@@ -35,8 +35,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_OPT_H__
-#define __LWIP_OPT_H__
+#ifndef LWIP_OPT_H_
+#define LWIP_OPT_H_
 
 /*
  * Include user defined options first. Anything not defined in these files
@@ -2414,4 +2414,4 @@
 #define IP6_DEBUG                       LWIP_DBG_OFF
 #endif
 
-#endif /* __LWIP_OPT_H__ */
+#endif /* LWIP_OPT_H_ */
diff --git a/src/include/lwip/pbuf.h b/src/include/lwip/pbuf.h
index 786b288..3a0fd97 100644
--- a/src/include/lwip/pbuf.h
+++ b/src/include/lwip/pbuf.h
@@ -30,8 +30,8 @@
  *
  */
 
-#ifndef __LWIP_PBUF_H__
-#define __LWIP_PBUF_H__
+#ifndef LWIP_PBUF_H_
+#define LWIP_PBUF_H_
 
 #include "lwip/opt.h"
 #include "lwip/err.h"
@@ -182,4 +182,4 @@ u16_t pbuf_strstr(struct pbuf* p, const char* substr);
 }
 #endif
 
-#endif /* __LWIP_PBUF_H__ */
+#endif /* LWIP_PBUF_H_ */
diff --git a/src/include/lwip/raw.h b/src/include/lwip/raw.h
index f0c8ed4..14aaf34 100644
--- a/src/include/lwip/raw.h
+++ b/src/include/lwip/raw.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_RAW_H__
-#define __LWIP_RAW_H__
+#ifndef LWIP_RAW_H_
+#define LWIP_RAW_H_
 
 #include "lwip/opt.h"
 
@@ -128,4 +128,4 @@ u8_t             raw_input      (struct pbuf *p, struct netif *inp);
 
 #endif /* LWIP_RAW */
 
-#endif /* __LWIP_RAW_H__ */
+#endif /* LWIP_RAW_H_ */
diff --git a/src/include/lwip/sio.h b/src/include/lwip/sio.h
index 28ae2f2..02a4765 100644
--- a/src/include/lwip/sio.h
+++ b/src/include/lwip/sio.h
@@ -32,8 +32,8 @@
  * It needs to be implemented by those platforms which need SLIP or PPP
  */
 
-#ifndef __SIO_H__
-#define __SIO_H__
+#ifndef __SIO_H_
+#define __SIO_H_
 
 #include "lwip/arch.h"
 
@@ -138,4 +138,4 @@ void sio_read_abort(sio_fd_t fd);
 }
 #endif
 
-#endif /* __SIO_H__ */
+#endif /* __SIO_H_ */
diff --git a/src/include/lwip/snmp.h b/src/include/lwip/snmp.h
index 2ed043d..cb6750d 100644
--- a/src/include/lwip/snmp.h
+++ b/src/include/lwip/snmp.h
@@ -30,8 +30,8 @@
  * Author: Leon Woestenberg <leon.woestenberg@axon.tv>
  *
  */
-#ifndef __LWIP_SNMP_H__
-#define __LWIP_SNMP_H__
+#ifndef LWIP_SNMP_H_
+#define LWIP_SNMP_H_
 
 #include "lwip/opt.h"
 
@@ -364,4 +364,4 @@ void snmp_get_snmpenableauthentraps(u8_t *value);
 }
 #endif
 
-#endif /* __LWIP_SNMP_H__ */
+#endif /* LWIP_SNMP_H_ */
diff --git a/src/include/lwip/snmp_asn1.h b/src/include/lwip/snmp_asn1.h
index 605fa3f..84357d6 100644
--- a/src/include/lwip/snmp_asn1.h
+++ b/src/include/lwip/snmp_asn1.h
@@ -32,8 +32,8 @@
  * Author: Christiaan Simons <christiaan.simons@axon.tv>
  */
 
-#ifndef __LWIP_SNMP_ASN1_H__
-#define __LWIP_SNMP_ASN1_H__
+#ifndef LWIP_SNMP_ASN1_H_
+#define LWIP_SNMP_ASN1_H_
 
 #include "lwip/opt.h"
 #include "lwip/err.h"
@@ -98,4 +98,4 @@ err_t snmp_asn1_enc_raw(struct pbuf *p, u16_t ofs, u16_t raw_len, u8_t *raw);
 
 #endif /* LWIP_SNMP */
 
-#endif /* __LWIP_SNMP_ASN1_H__ */
+#endif /* LWIP_SNMP_ASN1_H_ */
diff --git a/src/include/lwip/snmp_msg.h b/src/include/lwip/snmp_msg.h
index 1183e3a..fb805cf 100644
--- a/src/include/lwip/snmp_msg.h
+++ b/src/include/lwip/snmp_msg.h
@@ -32,8 +32,8 @@
  * Author: Christiaan Simons <christiaan.simons@axon.tv>
  */
 
-#ifndef __LWIP_SNMP_MSG_H__
-#define __LWIP_SNMP_MSG_H__
+#ifndef LWIP_SNMP_MSG_H_
+#define LWIP_SNMP_MSG_H_
 
 #include "lwip/opt.h"
 #include "lwip/snmp.h"
@@ -312,4 +312,4 @@ void snmp_authfail_trap(void);
 
 #endif /* LWIP_SNMP */
 
-#endif /* __LWIP_SNMP_MSG_H__ */
+#endif /* LWIP_SNMP_MSG_H_ */
diff --git a/src/include/lwip/snmp_structs.h b/src/include/lwip/snmp_structs.h
index 0d3b46a..f6e97d6 100644
--- a/src/include/lwip/snmp_structs.h
+++ b/src/include/lwip/snmp_structs.h
@@ -34,8 +34,8 @@
  * Author: Christiaan Simons <christiaan.simons@axon.tv>
  */
 
-#ifndef __LWIP_SNMP_STRUCTS_H__
-#define __LWIP_SNMP_STRUCTS_H__
+#ifndef LWIP_SNMP_STRUCTS_H_
+#define LWIP_SNMP_STRUCTS_H_
 
 #include "lwip/opt.h"
 
@@ -265,4 +265,4 @@ u8_t snmp_iso_prefix_expand(u8_t ident_len, s32_t *ident, struct snmp_obj_id *oi
 
 #endif /* LWIP_SNMP */
 
-#endif /* __LWIP_SNMP_STRUCTS_H__ */
+#endif /* LWIP_SNMP_STRUCTS_H_ */
diff --git a/src/include/lwip/sockets.h b/src/include/lwip/sockets.h
index 697f200..ce599e2 100644
--- a/src/include/lwip/sockets.h
+++ b/src/include/lwip/sockets.h
@@ -31,8 +31,8 @@
  */
 
 
-#ifndef __LWIP_SOCKETS_H__
-#define __LWIP_SOCKETS_H__
+#ifndef LWIP_SOCKETS_H_
+#define LWIP_SOCKETS_H_
 
 #include "lwip/opt.h"
 
@@ -398,4 +398,4 @@ int lwip_fcntl(int s, int cmd, int val);
 
 #endif /* LWIP_SOCKET */
 
-#endif /* __LWIP_SOCKETS_H__ */
+#endif /* LWIP_SOCKETS_H_ */
diff --git a/src/include/lwip/stats.h b/src/include/lwip/stats.h
index d911216..2dca16b 100644
--- a/src/include/lwip/stats.h
+++ b/src/include/lwip/stats.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_STATS_H__
-#define __LWIP_STATS_H__
+#ifndef LWIP_STATS_H_
+#define LWIP_STATS_H_
 
 #include "lwip/opt.h"
 
@@ -344,4 +344,4 @@ void stats_display_sys(struct stats_sys *sys);
 }
 #endif
 
-#endif /* __LWIP_STATS_H__ */
+#endif /* LWIP_STATS_H_ */
diff --git a/src/include/lwip/sys.h b/src/include/lwip/sys.h
index dc93513..3b47349 100644
--- a/src/include/lwip/sys.h
+++ b/src/include/lwip/sys.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_SYS_H__
-#define __LWIP_SYS_H__
+#ifndef LWIP_SYS_H_
+#define LWIP_SYS_H_
 
 #include "lwip/opt.h"
 
@@ -334,4 +334,4 @@ void sys_arch_unprotect(sys_prot_t pval);
 }
 #endif
 
-#endif /* __LWIP_SYS_H__ */
+#endif /* LWIP_SYS_H_ */
diff --git a/src/include/lwip/tcp.h b/src/include/lwip/tcp.h
index 0ab301f..85c4160 100644
--- a/src/include/lwip/tcp.h
+++ b/src/include/lwip/tcp.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_TCP_H__
-#define __LWIP_TCP_H__
+#ifndef LWIP_TCP_H_
+#define LWIP_TCP_H_
 
 #include "lwip/opt.h"
 
@@ -394,4 +394,4 @@ struct tcp_pcb * tcp_listen_dual_with_backlog(struct tcp_pcb *pcb, u8_t backlog)
 
 #endif /* LWIP_TCP */
 
-#endif /* __LWIP_TCP_H__ */
+#endif /* LWIP_TCP_H_ */
diff --git a/src/include/lwip/tcp_impl.h b/src/include/lwip/tcp_impl.h
index b068eef..4f4c5ab 100644
--- a/src/include/lwip/tcp_impl.h
+++ b/src/include/lwip/tcp_impl.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_TCP_IMPL_H__
-#define __LWIP_TCP_IMPL_H__
+#ifndef LWIP_TCP_IMPL_H_
+#define LWIP_TCP_IMPL_H_
 
 #include "lwip/opt.h"
 
@@ -507,4 +507,4 @@ void tcp_timer_needed(void);
 
 #endif /* LWIP_TCP */
 
-#endif /* __LWIP_TCP_H__ */
+#endif /* LWIP_TCP_H_ */
diff --git a/src/include/lwip/tcpip.h b/src/include/lwip/tcpip.h
index 04567f2..88c34a7 100644
--- a/src/include/lwip/tcpip.h
+++ b/src/include/lwip/tcpip.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_TCPIP_H__
-#define __LWIP_TCPIP_H__
+#ifndef LWIP_TCPIP_H_
+#define LWIP_TCPIP_H_
 
 #include "lwip/opt.h"
 
@@ -176,4 +176,4 @@ struct tcpip_msg {
 
 #endif /* !NO_SYS */
 
-#endif /* __LWIP_TCPIP_H__ */
+#endif /* LWIP_TCPIP_H_ */
diff --git a/src/include/lwip/timers.h b/src/include/lwip/timers.h
index 04e78e0..6457f31 100644
--- a/src/include/lwip/timers.h
+++ b/src/include/lwip/timers.h
@@ -30,8 +30,8 @@
  *         Simon Goldschmidt
  *
  */
-#ifndef __LWIP_TIMERS_H__
-#define __LWIP_TIMERS_H__
+#ifndef LWIP_TIMERS_H_
+#define LWIP_TIMERS_H_
 
 #include "lwip/opt.h"
 
@@ -97,4 +97,4 @@ void sys_timeouts_mbox_fetch(sys_mbox_t *mbox, void **msg);
 #endif
 
 #endif /* LWIP_TIMERS */
-#endif /* __LWIP_TIMERS_H__ */
+#endif /* LWIP_TIMERS_H_ */
diff --git a/src/include/lwip/udp.h b/src/include/lwip/udp.h
index aa1ad3f..4b749c5 100644
--- a/src/include/lwip/udp.h
+++ b/src/include/lwip/udp.h
@@ -29,8 +29,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __LWIP_UDP_H__
-#define __LWIP_UDP_H__
+#ifndef LWIP_UDP_H_
+#define LWIP_UDP_H_
 
 #include "lwip/opt.h"
 
@@ -212,4 +212,4 @@ void udp_debug_print(struct udp_hdr *udphdr);
 
 #endif /* LWIP_UDP */
 
-#endif /* __LWIP_UDP_H__ */
+#endif /* LWIP_UDP_H_ */
diff --git a/src/include/netif/etharp.h b/src/include/netif/etharp.h
index 92d57ae..3d9a683 100644
--- a/src/include/netif/etharp.h
+++ b/src/include/netif/etharp.h
@@ -32,8 +32,8 @@
  *
  */
 
-#ifndef __NETIF_ETHARP_H__
-#define __NETIF_ETHARP_H__
+#ifndef NETIF_ETHARP_H_
+#define NETIF_ETHARP_H_
 
 #include "lwip/opt.h"
 
@@ -220,4 +220,4 @@ extern const struct eth_addr ethbroadcast, ethzero;
 }
 #endif
 
-#endif /* __NETIF_ARP_H__ */
+#endif /* __NETIF_ARP_H_ */
diff --git a/src/include/netif/slipif.h b/src/include/netif/slipif.h
index 7b6ce5e..bf0bd66 100644
--- a/src/include/netif/slipif.h
+++ b/src/include/netif/slipif.h
@@ -31,8 +31,8 @@
  * Author: Adam Dunkels <adam@sics.se>
  *
  */
-#ifndef __NETIF_SLIPIF_H__
-#define __NETIF_SLIPIF_H__
+#ifndef NETIF_SLIPIF_H_
+#define NETIF_SLIPIF_H_
 
 #include "lwip/opt.h"
 #include "lwip/netif.h"
diff --git a/test/unit/core/test_mem.h b/test/unit/core/test_mem.h
index 13803ed..86f9254 100644
--- a/test/unit/core/test_mem.h
+++ b/test/unit/core/test_mem.h
@@ -1,5 +1,5 @@
-#ifndef __TEST_MEM_H__
-#define __TEST_MEM_H__
+#ifndef TEST_MEM_H_
+#define TEST_MEM_H_
 
 #include "../lwip_check.h"
 
diff --git a/test/unit/etharp/test_etharp.h b/test/unit/etharp/test_etharp.h
index 96e00c3..d637505 100644
--- a/test/unit/etharp/test_etharp.h
+++ b/test/unit/etharp/test_etharp.h
@@ -1,5 +1,5 @@
-#ifndef __TEST_ETHARP_H__
-#define __TEST_ETHARP_H__
+#ifndef TEST_ETHARP_H_
+#define TEST_ETHARP_H_
 
 #include "../lwip_check.h"
 
diff --git a/test/unit/lwip_check.h b/test/unit/lwip_check.h
index e27f55a..57e6236 100644
--- a/test/unit/lwip_check.h
+++ b/test/unit/lwip_check.h
@@ -1,5 +1,5 @@
-#ifndef __LWIP_CHECK_H__
-#define __LWIP_CHECK_H__
+#ifndef LWIP_CHECK_H_
+#define LWIP_CHECK_H_
 
 /* Common header file for lwIP unit tests using the check framework */
 
@@ -34,4 +34,4 @@ static Suite* create_suite(const char* name, TFun *tests, size_t num_tests, SFun
   return s;
 }
 
-#endif /* __LWIP_CHECK_H__ */
+#endif /* LWIP_CHECK_H_ */
diff --git a/test/unit/lwipopts.h b/test/unit/lwipopts.h
index 88e76d7..301d6cb 100644
--- a/test/unit/lwipopts.h
+++ b/test/unit/lwipopts.h
@@ -29,8 +29,8 @@
  * Author: Simon Goldschmidt
  *
  */
-#ifndef __LWIPOPTS_H__
-#define __LWIPOPTS_H__
+#ifndef LWIPOPTS_H_
+#define LWIPOPTS_H_
 
 /* Prevent having to link sys_arch.c (we don't test the API layers in unit tests) */
 #define NO_SYS                          1
@@ -47,4 +47,4 @@
 /* Minimal changes to opt.h required for etharp unit tests: */
 #define ETHARP_SUPPORT_STATIC_ENTRIES   1
 
-#endif /* __LWIPOPTS_H__ */
+#endif /* LWIPOPTS_H_ */
diff --git a/test/unit/tcp/tcp_helper.h b/test/unit/tcp/tcp_helper.h
index 4a72c93..b91a42d 100644
--- a/test/unit/tcp/tcp_helper.h
+++ b/test/unit/tcp/tcp_helper.h
@@ -1,5 +1,5 @@
-#ifndef __TCP_HELPER_H__
-#define __TCP_HELPER_H__
+#ifndef TCP_HELPER_H_
+#define TCP_HELPER_H_
 
 #include "../lwip_check.h"
 #include "lwip/arch.h"
diff --git a/test/unit/tcp/test_tcp.h b/test/unit/tcp/test_tcp.h
index f1c4a46..5b69b56 100644
--- a/test/unit/tcp/test_tcp.h
+++ b/test/unit/tcp/test_tcp.h
@@ -1,5 +1,5 @@
-#ifndef __TEST_TCP_H__
-#define __TEST_TCP_H__
+#ifndef TEST_TCP_H_
+#define TEST_TCP_H_
 
 #include "../lwip_check.h"
 
diff --git a/test/unit/tcp/test_tcp_oos.h b/test/unit/tcp/test_tcp_oos.h
index 5e411f0..625dbd2 100644
--- a/test/unit/tcp/test_tcp_oos.h
+++ b/test/unit/tcp/test_tcp_oos.h
@@ -1,5 +1,5 @@
-#ifndef __TEST_TCP_OOS_H__
-#define __TEST_TCP_OOS_H__
+#ifndef TEST_TCP_OOS_H_
+#define TEST_TCP_OOS_H_
 
 #include "../lwip_check.h"
 
diff --git a/test/unit/udp/test_udp.h b/test/unit/udp/test_udp.h
index 9335368..332e17b 100644
--- a/test/unit/udp/test_udp.h
+++ b/test/unit/udp/test_udp.h
@@ -1,5 +1,5 @@
-#ifndef __TEST_UDP_H__
-#define __TEST_UDP_H__
+#ifndef TEST_UDP_H_
+#define TEST_UDP_H_
 
 #include "../lwip_check.h"
 
-- 
1.7.9.2

